OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / l7vsadm / l7vsadm-4-1-19-2.sh
diff --git a/test/script/l7vsadm/l7vsadm-4-1-19-2.sh b/test/script/l7vsadm/l7vsadm-4-1-19-2.sh
new file mode 100755 (executable)
index 0000000..54a4fd9
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+. ${SET_DEFAULT_CONF}
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+usleep 100000
+
+EXPECT="PARSE ERROR: sorryserver endpoint parse error(--bypass): invalid endpoint:Host not found.*:333.333.333.333:3333"
+$L7VSADM -A -t 127.0.0.1:40001 -m ip -b 333.333.333.333:3333 2>&1 | grep "${EXPECT}" > /dev/null
+if [ "$?" -ne 0 ]
+then
+        echo "Test failed: $L7VSADM -A -t 127.0.0.1:40001 -m ip -b 333.333.333.333:3333"
+        exit 1
+fi
+
+exit 0
+